Installer - Bug #30193

installer failed with error "Could not find a suitable provider for foreman_smartproxy" while doing
upgrade

06/23/2020 06:54 AM - Evgeni Golov

Status: Closed

Priority: Normal

Assignee: Evgeni Golov

Category:

Target version: 2.1.0

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1846593 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/527,
https://github.com/theforeman/foreman-i
nstaller/pull/524,
https://github.com/theforeman/foreman-i
nstaller/pull/526,
https://github.com/theforeman/foreman-i
nstaller/pull/528,
https://github.com/theforeman/foreman-i
nstaller/pull/529,
https://github.com/theforeman/foreman-i
nstaller/pull/530,
https://github.com/theforeman/foreman-i
nstaller/pull/531

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1846593

Description of problem: Satellite-installer failed with error "Could not find a suitable provider for foreman_smartproxy" while doing
upgrade from 6.7 to 6.8

Version-Release number of selected component (if applicable):
6.8 Snap4

How reproducible:
always

Steps to Reproduce:

1. Prepared the environment to perform the satellite-upgrade from 6.7 to 6.8
2. Configure all the repository(Enabled the required repository)

3. Execute the pre-check and it has completed successfully.

Actual results:

Satellite-installer failed with Could not find a suitable provider for foreman_smartproxy

Expected results:
Satllite-installer should not be failed.

Additional info:

Associated revisions

Revision 6e1a07bc - 06/23/2020 10:57 AM - Evgeni Golov

Fixes #30193 - move version unlock to main pre_validations hooks

hooks/pre_validations/31-puppet-agent-oauth.rb tries to re-install
puppet-agent-oauth, but for that to work the packages need to be
unlocked first

it's not sufficient to move it to katello/hooks/pre_validations as those
are executed after all main pre_validations

Revision 3e4ad778 - 06/23/2020 10:57 AM - Evgeni Golov

Fixes #30193 - execute rpm commands outside the SCL

otherwise Ruby finds the SCL oauth gem and does not re-install the one
for the AIO Puppet Ruby

Revision 06aaaefe - 06/24/2020 09:22 AM - Evgeni Golov

Fixes #30193 - status is now a boolean

Revision 2¢cfd0523 - 06/24/2020 01:02 PM - Evgeni Golov

Refs #30193 - always execute commands outside the SCL context

Revision 6a5daf8c - 06/26/2020 12:34 PM - Ewoud Kohl van Wijngaarden
Refs #30193 - Correct version locking

6e1a07bc35bfe97927dfac6477a1faf53092c58f moved version locking from
Katello to the common hooks. This was unintentional and should have been
kept for Katello, at least for now.

However, it did try to fix a real issue where yum was locked while the
hooks tried to make changes. However, during pre_validations it may
still find an issue and roll back so no changes should be made. To solve
this, the hook is moved to pre. This is more correct because at this

point Kafo, has committed all the answers and is going to make changes
to the system using Puppet.

History

#1 - 06/23/2020 07:29 AM - Evgeni Golov
- Project changed from Foreman to Installer

- Subject changed from Satellite-installer failed with error "Could not find a suitable provider for foreman_smartproxy" while doing upgrade from 6.7 to
6.8
to Satellite-installer failed with error "Could not find a suitable provider for foreman_smartproxy" while doing upgrade from 6.7 to 6.8

#2 - 06/23/2020 07:36 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/524 added

#3 - 06/23/2020 10:57 AM - The Foreman Bot
- Fixed in Releases 2.2.0 added

#4 - 06/23/2020 11:01 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset installer|6e1a07bc35bfe97927dfac6477a1faf53092c58f.

#5 - 06/24/2020 08:12 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/526 added

#6 - 06/24/2020 11:25 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/527 added

#7 - 06/24/2020 12:30 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/528 added

#8 - 06/24/2020 12:42 PM - Tomer Brisker

- Target version setto 2.1.0
#9 - 06/25/2020 08:20 AM - Evgeni Golov
- Fixed in Releases 2.1.0 added

#10 - 06/25/2020 09:05 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/529 added

#11 - 06/25/2020 09:40 AM - Tomer Brisker
- Fixed in Releases deleted (2.2.0)

#12 - 06/25/2020 09:41 AM - Tomer Brisker

- Subject changed from Satellite-installer failed with error "Could not find a suitable provider for foreman_smartproxy" while doing upgrade from 6.7 to
6.8 to installer failed with error "Could not find a suitable provider for foreman_smartproxy" while doing upgrade

#13 - 06/25/2020 10:13 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/530 added

#14 - 06/25/2020 07:11 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/531 added
